> For the complete documentation index, see [llms.txt](https://docs.ox.security/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ox.security/api-documentation/api-reference/api--audit/types/inputs/get-logs-input.md).

# getLogsInput

Input parameters for querying and filtering audit logs.

### Examples

```graphql
input GetLogsInput {
  logTypes: [LogType!]
  logNames: [LogName!]
  userEmails: [String!]
  appNames: [String!]
  limit: Float
  skip: Float
  orderBy: LogOrderBy
  dateRange: LogDateRange
}
```

### Fields

| Field                                                                                                  | Description                                     | Supported fields                                                                                               |
| ------------------------------------------------------------------------------------------------------ | ----------------------------------------------- | -------------------------------------------------------------------------------------------------------------- |
| logTypes [`[LogType!]`](/api-documentation/api-reference/api--audit/types/enums/log-type.md)           | Filter logs by one or more log types            |                                                                                                                |
| logNames [`[LogName!]`](/api-documentation/api-reference/api--audit/types/enums/log-name.md)           | Filter logs by one or more log names            |                                                                                                                |
| userEmails `[String!]`                                                                                 | Filter logs by one or more user email addresses |                                                                                                                |
| appNames `[String!]`                                                                                   | Filter logs by one or more application names    |                                                                                                                |
| limit `Float`                                                                                          | Maximum number of logs to return                |                                                                                                                |
| skip `Float`                                                                                           | Number of logs to skip (for pagination)         |                                                                                                                |
| orderBy [`LogOrderBy`](/api-documentation/api-reference/api--audit/types/inputs/log-order-by.md)       | Sorting criteria for the logs                   | <p>field <code>String</code><br>direction <a href="/pages/MShdjanlfhzp71ZokzYR"><code>Direction</code></a></p> |
| dateRange [`LogDateRange`](/api-documentation/api-reference/api--audit/types/inputs/log-date-range.md) | Time range to filter logs                       | <p>from <code>DateTime</code><br>to <code>DateTime</code></p>                                                  |

### References

#### Queries using this object:

* [\<?> getLogs.input](/api-documentation/api-reference/api--audit/queries/get-logs.md)
* [\<?> getLogsCount.input](/api-documentation/api-reference/api--audit/queries/get-logs-count.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.ox.security/api-documentation/api-reference/api--audit/types/inputs/get-logs-input.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
